# Generated by rust2rpm 26
%bcond_without check

Name:           trustee-attester
Version:        0.10.0

Release:        %autorelease
Summary:        A simple client to fetch secrets from Trustee

SourceLicense:  Apache-2.0


# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# ISC
# MIT
# MIT OR Apache-2.0
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# MIT OR Apache-2.0 OR Zlib
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT

License:        Apache-2.0 AND Apache-2.0 OR BSL-1.0 AND Apache-2.0 OR ISC OR MIT AND Apache-2.0 OR MIT AND BSD-2-Clause OR Apache-2.0 OR MIT AND ISC AND MIT AND MIT OR Apache-2.0 AND MIT OR Apache-2.0 AND Unicode-DFS-2016 AND MIT OR Apache-2.0 OR Zlib AND MPL-2.0 AND Unlicense OR MIT AND Zlib OR Apache-2.0 OR MIT

# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/confidential-containers/guest-components
Source:         guest-components-0.10.0.tar.gz
Source1:        trustee-attester.1
Patch1:         0001-Add-trustee-attester-a-simple-tool-to-fetch-secrets-.patch
Patch2:         0002-Fedora-Remove-workspace-members-which-are-not-built.patch
Patch3:         0003-Fedora-AA-deps-crypto-use-the-installed-openssl-not-.patch
Patch4:         0004-Fedora-AA-deps-crypto-Remove-non-openssl-dependencie.patch
Patch5:         0005-Fedora-kbs_protocol-Cargo.toml-reqwest-use-native-TL.patch
Patch6:         0006-Fedora-remove-jwt-simple-dependency.patch
Patch7:         0007-Fedora-remove-ttrpc-grpc-dependency.patch
Patch8:         0008-Fedora-attester-pick-attesters.patch
Patch9:         0009-Fedora-remove-testcontainers-dependency.patch
Patch10:        0010-Fedora-kbs_protocol-default-to-openssl.patch
Patch11:        0011-Fedora-kbs_protocol-lib.rs-use-regular-comments-not-.patch
Patch12:        0012-chore-deps-bump-sev-from-3.1.1-to-4.0.0.patch
Patch13:        0013-Fedora-rstest-0.18.patch
Patch14:        0014-Fedora-use-clap-4.5.19.patch
Patch15:        0015-Fedora-kbs-types-0.8.0.patch

BuildRequires:  cargo-rpm-macros >= 26

ExclusiveArch: x86_64

%global _description %{expand:
Running in a confidential VM, gather confidential-computing evidence,
send it to Trustee and get secrets.}

%description %{_description}

%prep
%autosetup -n guest-components-%{version} -p1

rm -f Cargo.lock
cp attestation-agent/kbs_protocol/src/bin/trustee-attester/README.md .
cd attestation-agent/kbs_protocol
%cargo_prep

%generate_buildrequires
cd attestation-agent/kbs_protocol
%cargo_generate_buildrequires

%build
cd attestation-agent/kbs_protocol
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
mv LICENSE.dependencies ../../

%install
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/
cd attestation-agent/kbs_protocol
%cargo_install

%if %{with check}
%check
cd attestation-agent/kbs_protocol
%cargo_test
%endif

%files
%doc     README.md
%doc     %{_mandir}/man1/trustee-attester.1.gz
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/trustee-attester

%changelog
%autochangelog
